<template>
  <div>
    <div v-if="isLoading">Loading ...</div>
    <div v-else>
      <ProductDetail :key="product.id" :product="product" />
    </div>
  </div>
</template>

<script setup>
import ProductDetail from '@/components/ProductDetail.vue'
import { ref } from 'vue'

const props = defineProps({
  id: {
    type: String,
    required: true
  }
})

const product = ref({})
const isLoading = ref(false)
const searchProduct = async () => {
  isLoading.value = true
  try {
    fetch(`https://fakestoreapi.com/products/${props.id}`)
      .then((res) => res.json())
      .then((json) => {
        product.value = json
      })
  } catch {
    alert('An error occured!')
  }
  isLoading.value = false
}

searchProduct()
</script>

<style lang="scss" scoped></style>
